/*
 *  main.h
 *  FTPSync
 *
 *  Created by takahasi on Thu Jan 03 2002.
 *  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
 *
 */

#import <Cocoa/Cocoa.h>

enum FailMessage
{
	FailRetry = 1,
	FailAbort = 2,
	FailContinue = 3,
};

int DoScript(NSString *settingPath);
int FolderSync(void);

int pre(void);
int OpenFiles(void);

void SyncFolder(NSString *sourceDir, NSString *destDir);
void NextFile(NSString **fileP, NSString *directory, NSEnumerator *enumerator, BOOL *isDir);
void CopyFile(NSString *sourcePath, NSString *destPath);
void DeleteFile(NSString *serverFile);
void SyncFile(NSString *sourcePath, NSString *destPath,
        BOOL sourceIsDir, BOOL destIsDir);
void SyncRegularFile(NSString *sourcePath, NSString *destPath);

void post(void);

