//
//  MainGUI.m
//  XFolderSync
//
//  Created by Satoshi Takahashi on Sat Sep 14 2002.
//  Copyright (c) 2002 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#include "MainGUI.h"


@implementation MainGUI

NSWindow *failAlertWindow;
NSFormCell *fromField;
NSFormCell *toField;

- (void) awakeFromNib
{
	failAlertWindow = IBFailAlertWindow;
	fromField = IBFromField;
	toField = IBToField;
}

int GUIFailAlert(NSString *sourcePath, NSString *destPath)
{
int ret;

	[fromField setStringValue: sourcePath];
	[toField setStringValue: destPath];
	[failAlertWindow display];
	ret = [NSApp runModalForWindow: failAlertWindow];
	[failAlertWindow close];
	//[NSApp terminate: 0];
	return ret;
}


- (IBAction) pushed: (NSButton *) button
{
	[NSApp stopModalWithCode: [button tag]];
}
@end
